public class Stanza
{
	private String descr;
	private Porta[] porte = new Porta[4];
	public Stanza(String descr)
	{
		this.descr = descr;
	}
	public void collega(int dir, Porta porta)
	{
		porte[dir] = porta;
	}
	public Risultato vai(Giocatore giocatore, int dir)
	{
		if (porte[dir] == null)
			return new Risultato(
					false, "Non puoi andare in quella direzione");
		else
			return porte[dir].attraversa(giocatore);
	}
	public String descrivi()
	{
		return descr;
	}
	public int[] direzioni()
	{
		int num = 0;
		for (int d = 0; d < 4; d++)
			if (porte[d] != null)
				num++;
		int[] dir = new int[num];
		int i = 0;
		for (int d = 0; d < 4; d++)
			if (porte[d] != null)
			{
				dir[i] = d;
				i++;
			}
		return dir;
	}
}
