class Test
{
	private static String dir2String(int dir) {
		switch (dir) {
		case 0:
			return "Nord";
		case 1:
			return "Est";
		case 2:
			return "Sud";
		case 3:
			return "Ovest";
		default:
			return "Unknown";
		}
	}
	private static int String2dir(String s) {
		String s1 = s.toUpperCase();
		if (s1.equals("NORD"))
			return 0;
		if (s1.equals("EST"))
			return 1;
		if (s1.equals("SUD"))
			return 2;
		if (s1.equals("OVEST"))
			return 3;
		return -1;
	}
	public static void main(String[] args)
	{
		Stanza s1 =
			new Stanza(
					"Stai pilotando il tuo monoposto " +
					"sopra la desolata regione scozzese delle Highlands");
		Stanza s2 =
			new Stanza(
					"Ti trovi in un campo aperto," +
					" a ovest di una casa bianca," +
					" con la porta principale sbarrata");
		Stanza s3 =
			new Stanza(
					"Sei in un labirinto di tortuosi," +
					" piccoli passaggi, tutti simili");
		Porta p1 = new Porta(s1, s2);
		s1.collega(1, p1);
		s2.collega(3, p1);
		Porta p2 = new Porta(s2, s3);
		s2.collega(2, p2);
		s3.collega(0, p2);
		Giocatore giocatore = new Giocatore("Zak");
		giocatore.muovi(s1);
		boolean ancora = true;
		while (ancora)
		{
			Stanza s = giocatore.locazione();
			Console.scriviStringa(s.descrivi());
			int[] dir = s.direzioni();
			if (dir.length > 0)
			{
				Console.scriviStringa("Puoi andare a:");
				for (int i = 0; i < dir.length; i++)
					Console.scriviStringa(dir2String(dir[i]));
			}
			Console.scriviStringa("Dove vuoi andare?");
			String in = Console.leggiStringa();
			if (in.equals("fine"))
				ancora = false;
			else if (
					in.equals("nord") || in.equals("sud") ||
					in.equals("est") || in.equals("ovest"))
			{
				int d = String2dir(in);
				Risultato r = s.vai(giocatore, d);
				Console.scriviStringa(r.getMessage());
			}
			else
				Console.scriviStringa(
						"Non capisco la parola " + in);
		}
	}
}
